Create/update individual tariff
Request:
Public API-key
Signing the request body with a private API-key
Request content type
application/jsonThe body of the request to create an individual tariff
User ID
5292f559-d134-4214-a9bb-4c232f0e0991Organization ID
527c351a-c92d-427d-a349-53cb6f5828ffTarget action on the tariff
EXCHANGE_AUTOPossible values: The commission percentage of the transaction amount (for example, 0.01 means a commission of 1% of the transaction amount)
0.03Type of fare amount
PERCENTPossible values: Tariff Comment
tariff for JohnMinimum commission for debiting (for example, when performing an operation, 1% of the transaction amount will be debited, but not less than MinAmount)
null - no restrictions
0.1The maximum commission for debiting (for example, when performing an operation, 1% of the transaction amount will be debited, but no more than MaxAmount)
null - no restrictions
3000Successful response
Request success indicator
The response body of the tariff creation request
POST /partner/api/set-organization-tariff HTTP/1.1
Host: ocp.onchainpay.io
Content-Type: application/json
Accept: */*
Content-Length: 228
{
"userId": "5292f559-d134-4214-a9bb-4c232f0e0991",
"organizationId": "527c351a-c92d-427d-a349-53cb6f5828ff",
"action": "EXCHANGE_AUTO",
"amount": "0.03",
"type": "PERCENT",
"comment": "tariff for John",
"minAmount": "0.1",
"maxAmount": "3000"
}{
"success": true,
"response": null
}Last updated